From d08bba26704cbe2cd8c655279d95cfed88ff29ba Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mattias=20Engdeg=C3=A5rd?= <mattiase@acm.org>
Date: Fri, 20 Aug 2021 21:21:05 +0200
Subject: [PATCH] Remove default "Select" title from NS popup menus

* src/menu.c (x_popup_menu_1): Remove default "Select" title.
* src/nsmenu.m (ns_menu_show): Allow title to be absent.
---
 src/menu.c   | 4 ----
 src/nsmenu.m | 2 +-
 2 files changed, 1 insertion(+), 5 deletions(-)

diff --git a/src/menu.c b/src/menu.c
index 3b1d740257..e441d22ea0 100644
--- a/src/menu.c
+++ b/src/menu.c
@@ -1286,10 +1286,6 @@ x_popup_menu_1 (Lisp_Object position, Lisp_Object menu)
       prompt = Fkeymap_prompt (keymap);
       if (!NILP (prompt))
 	title = prompt;
-#ifdef HAVE_NS		/* Is that needed and NS-specific?  --Stef  */
-      else
-	title = build_string ("Select");
-#endif
 
       /* Make that be the pane title of the first pane.  */
       if (!NILP (prompt) && menu_items_n_panes >= 0)
diff --git a/src/nsmenu.m b/src/nsmenu.m
index bb0dd2634d..fe4f825832 100644
--- a/src/nsmenu.m
+++ b/src/nsmenu.m
@@ -959,7 +959,7 @@ - (void)menu:(NSMenu *)menu willHighlightItem:(NSMenuItem *)item
     }
 
   pmenu = [[EmacsMenu alloc] initWithTitle:
-                               [NSString stringWithLispString: title]];
+                   NILP (title) ? @"" : [NSString stringWithLispString: title]];
   [pmenu fillWithWidgetValue: first_wv->contents];
   free_menubar_widget_value_tree (first_wv);
   unbind_to (specpdl_count, Qnil);
-- 
2.21.1 (Apple Git-122.3)

